<template>
  <div class="p25">
    <div class="lh35 font-size-14 text-grey">
      <h3 class="text-lg text-black font-medium">{{ rwMsg.jdd_name }}(#下发编号{{ detailMsg.jddx_id }})</h3>
      <div><span class="text-black">指标名称:</span> {{ zbMsg.jddr_name }}</div>
      <div>
        <span class="text-black">指标内容:</span>
        <br />
        {{ zbMsg.jddr_content }}
      </div>
      <div>
        <span class="text-black">责任部门：</span> {{ detailMsg.jddt_uo_name }}
      </div>
      <div>
        <span class="text-black">整改意见: </span>
        <br />
        {{ detailMsg.jddr_zgyj }}
      </div>
      <div>
        <span class="text-black">佐证材料: </span>
        <br />
        <ul class="pb-10">
        <li v-for="(f, i) in files" :key="i" class="leading-relaxed">
          <a :href="https + f.split('|')[0]">{{ f.split("|")[1] }}</a>
        </li>
      </ul>
      </div>
    </div>
  </div>
</template>
<script>
import { ddzg_detail } from "./api";
export default {
  name: "index",
  data() {
    return {
      https: window.globalVariables.api,
      loading: false,
      detailMsg: {},
      rwMsg: {},
      zbMsg:{},
      files:[],
    };
  },
  methods: {
    getDetail() {
      let data = {
        jddt_id: this.$route.params.id,
      };
      ddzg_detail(data).then((res) => {
        if (res.code == "1") {
          this.detailMsg = res.data.one_info;
          this.zbMsg = res.data.one_info.jdbg_dddx_ddrw_rwzb;
          this.rwMsg = res.data.one_info.jdbg_dddx_ddrw;
          this.files = res.data.one_info.jddr_zzcl_json.split(";");
        }
      });
    },
  },
  mounted() {
    this.getDetail();
  },
};
</script>
<style lang="scss" scoped>
.wight {
  font-weight: 500;
}
span {
  display: inline-block;
  width: 70px;
}
</style>